package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleDataAction;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDataActionSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleDataAction] 服务对象接口
 */
public interface UserRoleDataActionService extends IService<UserRoleDataAction>{

	boolean checkKey(UserRoleDataAction et);
	boolean remove(UserRoleDataAction et);
	boolean create(UserRoleDataAction et);
		UserRoleDataAction get(UserRoleDataAction et);
	boolean getDraft(UserRoleDataAction et);
	boolean update(UserRoleDataAction et);
    List<UserRoleDataAction> listDefault(UserRoleDataActionSearchFilter filter) ;
	Page<UserRoleDataAction> searchDefault(UserRoleDataActionSearchFilter filter);
	/**	 实体[UserRoleDataAction] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }